package org.springblade.modules.wgr.info.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.wgr.info.entity.WgrInfoEntity;
import org.springblade.modules.wgr.info.excel.WgrInfoExcel;
import org.springblade.modules.wgr.info.vo.WgrInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 出入境_外国人信息表 服务类
 *
 * @author BladeX
 * @since 2023-12-04
 */
public interface IWgrInfoService extends BaseService<WgrInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	IPage<WgrInfoVO> selectWgrInfoPage(IPage<WgrInfoVO> page, Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<WgrInfoExcel> exportWgrInfo(Wrapper<WgrInfoEntity> queryWrapper);

	int getIsExist(WgrInfoExcel wgrInfoExcel);

	void updateWgrinfo(WgrInfoExcel wgrInfoExcel);

	void resetBm(Long wgrId);

	void plxf(String id);
}
